export declare const pluginNameMap: {
    readonly PluginTerminal: "PluginTerminal";
    readonly PluginNpmScripts: "PluginNpmScripts";
    readonly PluginReadme: "PluginReadme";
    readonly PluginCodeCoverage: "PluginCodeCoverage";
    readonly PluginDependencies: "PluginDependencies";
};
export declare type TPluginName = keyof typeof pluginNameMap;
export declare class Config {
    private _imports;
    private _tabs;
    private _port;
    constructor({ port }: {
        port: number;
    });
    addPlugin: <TOptions = any>(tabName: string, name: "PluginTerminal" | "PluginNpmScripts" | "PluginReadme" | "PluginCodeCoverage" | "PluginDependencies", options?: TOptions | undefined) => void;
    get tabs(): {
        title: string;
        rows: string[][];
    }[];
    get tabsString(): string;
    get imports(): string;
    toString(): string;
}
